using System;

namespace Z1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] ulaz = Console.ReadLine().Split();
            int k = int.Parse(ulaz[1]);

            string[] ulaz1 = Console.ReadLine().Split();

            Console.WriteLine(Vrati(ulaz1, k));


        }
        public static int Vrati(string[] brojevi, int k)
        {
            bool sledeci = false;
            for(int i = 0; i < brojevi.Length; i++)
            {
                if (sledeci == true) return int.Parse(brojevi[i]);
                if (int.Parse(brojevi[i]) == k) sledeci = true;
            }
            return int.Parse(brojevi[0]);
        }
    }
}